.dropzone-container {
  position: relative;
  display: flex;
  flex: 1 1 auto;
  background-color: var(--tblr-body-bg);
  border: 1px solid var(--tblr-primary) !important;
  border-radius: var(--tblr-border-radius);
  align-items: center;
  padding: 20px 10px;
  margin-bottom: 1rem;
}

.dropzone-input {
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  z-index: 1;
}

.dropzone-preview {
  display: flex;
  align-items: center;
  max-width: 100%;
}

.dropzone-preview-image {
  flex-basis: 0;
  min-width: 50px;
  max-width: 50px;
  height: 50px;
  margin-right: 10px;
  object-fit: contain;
  object-position: 50% 50%;
}

.dropzone-preview-filename {
  word-wrap: anywhere;
}

.dropzone-preview-button {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1;
  border: none;
  margin: 0;
  padding: 0;
  width: auto;
  overflow: visible;
  background: transparent;
  color: inherit;
  font: inherit;
  line-height: normal;
  -webkit-font-smoothing: inherit;
  -moz-osx-font-smoothing: inherit;
  -webkit-appearance: none;
}

.dropzone-preview-button::before {
  content: '×';
  padding: 3px 7px;
  cursor: pointer;
}

.dropzone-placeholder {
  flex-grow: 1;
  text-align: center;
  color: var(--tblr-gray) !important;
}

.is-hidden {
  display: none !important;
}

.is-flex {
  display: flex !important;
}
